commit:     6ce0a0aa98d743f157a718f6766940b559d0a352
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Nov 12 15:51:03 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Nov 12 15:51:03 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6ce0a0aa

dev-python/textX: Bump to 4.0.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/textX/Manifest           |  1 +
 dev-python/textX/textX-4.0.1.ebuild | 59 +++++++++++++++++++++++++++++++++++++
 2 files changed, 60 insertions(+)

diff --git a/dev-python/textX/Manifest b/dev-python/textX/Manifest
index 852dcb38f387..cdb686273c3f 100644
--- a/dev-python/textX/Manifest
+++ b/dev-python/textX/Manifest
@@ -1,2 +1,3 @@
 DIST textX-3.1.1.gh.tar.gz 1824060 BLAKE2B 
48c2faeaff52b9f4a3acd1cf36dabc5edc38bb264bd3efbddd2aacaf0aca80a50445a7b30716bd5acdae0219cc2c63fbe2b26c90923758a4fa2a0b9cffb71e65
 SHA512 
33fa803a5bc2b4cd3782790625304e952e52b64f8791ddbe0fef100b521b36aa8be5291a3cd467771bd9a2d32fac41209e7895a18cc7c4c0f9a672f0ec4211f4
 DIST textX-4.0.0.gh.tar.gz 1824285 BLAKE2B 
ad5b1f0e7b839ffeca4e5609f1ff9fd4d9828629a5da807870a7ff2ec2fdac35ac80c362086cc1ca037ce2ba37fc3a9ccff9bc9ce8e2c9db26562a9c26de0180
 SHA512 
137ce6ef24defcd38bf2a65fb87e79d5313dcf6ec6cd363712781870dacfd1328b52e6e5a4124fc607a7abb5a284821e300072c7087310953c652191d1b69991
+DIST textX-4.0.1.gh.tar.gz 1824450 BLAKE2B 
35c18f4f3acbccb57a027c40438099c17eaf97b6124f6cd2fef5b407fb51fc0810ec46daf563ab724ee3e3e6a2775308a0513dab91d6cff5e88d2c18fc6f6af0
 SHA512 
036eab82760f5f7f11f5da553097a3c1264070516d868568aebc09c6f143ca5f94fcaa21bff90c94e136860269789eda7b704e66e3396d25db491155dceb5bf0

diff --git a/dev-python/textX/textX-4.0.1.ebuild 
b/dev-python/textX/textX-4.0.1.ebuild
new file mode 100644
index 000000000000..38d9669826ff
--- /dev/null
+++ b/dev-python/textX/textX-4.0.1.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+DESCRIPTION="Meta-language for DSL implementation inspired by Xtext"
+HOMEPAGE="
+       https://pypi.org/project/textX/
+       https://github.com/textX/textX/
+"
+SRC_URI="
+       https://github.com/textX/textX/archive/${PV}.tar.gz
+               -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+       >=dev-python/Arpeggio-2.0.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               dev-python/attrs[${PYTHON_USEDEP}]
+               dev-python/click[${PYTHON_USEDEP}]
+               dev-python/html5lib[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+       cp -a "${BUILD_DIR}"/{install,test} || die
+       local -x PATH=${BUILD_DIR}/test/usr/bin:${PATH}
+
+       # Update the shebang
+       sed -e "s:install/usr/bin/${EPYTHON}:test/usr/bin/${EPYTHON}:" \
+               -i "${BUILD_DIR}"/test/usr/bin/textx || die
+
+       # Install necessary plugins
+       local plugins=(
+               tests/functional/subcommands/example_project
+               tests/functional/registration/projects/*
+       )
+       local p
+       for p in "${plugins[@]}"; do
+               pushd "${p}" >/dev/null || die
+               distutils_pep517_install "${BUILD_DIR}"/test
+               popd >/dev/null || die
+       done
+
+       epytest tests/functional
+}

Reply via email to